<div class="content__panel content__panel-top">
    <mat-card>
        <div class="panel justify-content-between">
            <div class="panel__layout">
                  
            <button (click)="openDialog()" mat-flat-button color="primary"><mat-icon>add</mat-icon> Create company</button>
            </div>
        </div>
    </mat-card>
    
</div>

<div class="content__panel">
    <table style="width: 100%;" mat-table [dataSource]="dataSource" class="mat-elevation-z8">
      
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef> Company name </th>
          <td mat-cell *matCellDef="let element"> {{element.name}} </td>
        </ng-container>
      
        <!-- Edit Column -->
        <ng-container matColumnDef="edit">
          <th mat-header-cell *matHeaderCellDef> Edit </th>
          <td mat-cell *matCellDef="let element">  
            <button (click)="openDialog(element)" mat-raised-button color="accent"><mat-icon>edit</mat-icon></button>
           </td>
        </ng-container>

        <!-- Delete Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef> Delete </th>
          <td mat-cell *matCellDef="let element"> 
            <button (click)="deleteCompany(element);" mat-raised-button color="warn"><mat-icon>delete</mat-icon></button>
        </td>
        </ng-container>
      
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>    
</div>